Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::TaskStillCapture Class Reference

This task captures still images. More...

`#include <StillCapture.h>`

Inheritance diagram for ArgusSamples::TaskStillCapture:

List of all members.

## Public Member Functions

| TaskStillCapture ()
virtual | ~TaskStillCapture ()
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| Shutdown.
virtual bool | start ()
| Start.
virtual bool | stop ()
| Stop.
bool | execute ()
| Capture one image.
Public Member Functions inherited from ArgusSamples::ITask
| ITask ()
virtual | ~ITask ()

## Private Member Functions

bool | onDeviceOpenChanged (const Observed &source)
| Callback when the device is opened/closed.
bool | onSensorModeValidChanged (const Observed &source)
| Callback when the sensorModeValid is changed.
bool | restartStreams (const Observed &source)
| Restart when sensor mode or output size changes.

## Private Attributes

bool | m_initialized
| set if initialized
bool | m_running
| set if preview is running
bool | m_wasRunning
| set if was running before the device had been closed
bool | m_prevRunning
| set if was running before the sensorModeValid is set to false
uint32_t | m_captureIndex
| Incrementing capture index.
UniquePointer< SessionPerfTracker > | m_perfTracker
TrackedUniqueObj< Argus::Request > | m_previewRequest
| Argus preview request.
Argus::UniqueObj < Argus::OutputStream > | m_previewStream
| Argus preview stream.

## Detailed Description

This task captures still images.

Definition at line 48 of file StillCapture.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskStillCapture::TaskStillCapture | ( |  | ) |

Definition at line 43 of file StillCapture.cpp.

ArgusSamples::TaskStillCapture::~TaskStillCapture | ( |  | ) |

virtual

Definition at line 52 of file StillCapture.cpp.

## Member Function Documentation

bool ArgusSamples::TaskStillCapture::execute | ( |  | ) |

Capture one image.

Definition at line 217 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::initialize | ( |  | ) |

virtual

Initialize.

Implements ArgusSamples::ITask.

Definition at line 57 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::onDeviceOpenChanged | ( | const Observed & | source | ) |

private

Callback when the device is opened/closed.

Definition at line 90 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::onSensorModeValidChanged | ( | const Observed & | source | ) |

private

Callback when the sensorModeValid is changed.

Definition at line 110 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::restartStreams | ( | const Observed & | source | ) |

private

Restart when sensor mode or output size changes.

Definition at line 80 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::shutdown | ( |  | ) |

virtual

Shutdown.

Implements ArgusSamples::ITask.

Definition at line 302 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::start | ( |  | ) |

virtual

Start.

Implements ArgusSamples::ITask.

Definition at line 131 of file StillCapture.cpp.

bool ArgusSamples::TaskStillCapture::stop | ( |  | ) |

virtual

Stop.

Implements ArgusSamples::ITask.

Definition at line 173 of file StillCapture.cpp.

## Member Data Documentation

uint32_t ArgusSamples::TaskStillCapture::m_captureIndex

private

Incrementing capture index.

Definition at line 70 of file StillCapture.h.

bool ArgusSamples::TaskStillCapture::m_initialized

private

set if initialized

Definition at line 66 of file StillCapture.h.

UniquePointer<SessionPerfTracker> ArgusSamples::TaskStillCapture::m_perfTracker

private

Definition at line 72 of file StillCapture.h.

TrackedUniqueObj<Argus::Request> ArgusSamples::TaskStillCapture::m_previewRequest

private

Argus preview request.

Definition at line 74 of file StillCapture.h.

Argus::UniqueObj<Argus::OutputStream> ArgusSamples::TaskStillCapture::m_previewStream

private

Argus preview stream.

Definition at line 75 of file StillCapture.h.

bool ArgusSamples::TaskStillCapture::m_prevRunning

private

set if was running before the sensorModeValid is set to false

Definition at line 69 of file StillCapture.h.

bool ArgusSamples::TaskStillCapture::m_running

private

set if preview is running

Definition at line 67 of file StillCapture.h.

bool ArgusSamples::TaskStillCapture::m_wasRunning

private

set if was running before the device had been closed

Definition at line 68 of file StillCapture.h.

The documentation for this class was generated from the following files:

- modules/tasks/StillCapture.h
- modules/tasks/StillCapture.cpp